scala.tools.nsc.backend.jvm.BTypes

# NestedInfo

#### case class NestedInfo(enclosingClass: ClassBType, outerName: Option[String], innerName: Option[String], isStaticNestedClass: Boolean) extends Product with Serializable

Information required to add a class to an InnerClass table. The spec summary above explains what information is required for the InnerClass entry.

enclosingClass

  The enclosing class, if it is also nested. When adding a class to the InnerClass table, enclosing nested classes are also added.

outerName

  The outerName field in the InnerClass entry, may be None.

innerName

  The innerName field, may be None.

isStaticNestedClass

  True if this is a static nested class (not inner class) (*)

  (*) Note that the STATIC flag in ClassInfo.flags, obtained through javaFlags(classSym), is not correct for the InnerClass entry, see javaFlags. The static flag in the InnerClass describes a source-level propety: if the class is in a static context (does not have an outer pointer). This is checked when building the NestedInfo.

Source
  BTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NestedInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NestedInfo(enclosingClass: ClassBType, outerName: Option[String], innerName: Option[String], isStaticNestedClass: Boolean)

   enclosingClass

     The enclosing class, if it is also nested. When adding a class to the InnerClass table, enclosing nested classes are also added.

   outerName

     The outerName field in the InnerClass entry, may be None.

   innerName

     The innerName field, may be None.

   isStaticNestedClass

     True if this is a static nested class (not inner class) (*)

     (*) Note that the STATIC flag in ClassInfo.flags, obtained through javaFlags(classSym), is not correct for the InnerClass entry, see javaFlags. The static flag in the InnerClass describes a source-level propety: if the class is in a static context (does not have an outer pointer). This is checked when building the NestedInfo.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from NestedInfo to any2stringadd[NestedInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (NestedInfo, B)

   Implicit information
     This member is added by an implicit conversion from NestedInfo to ArrowAssoc[NestedInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val enclosingClass: ClassBType

   The enclosing class, if it is also nested.

   The enclosing class, if it is also nested. When adding a class to the InnerClass table, enclosing nested classes are also added.

9. #### def ensuring(cond: (NestedInfo) ⇒ Boolean, msg: ⇒ Any): NestedInfo

   Implicit information
     This member is added by an implicit conversion from NestedInfo to Ensuring[NestedInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (NestedInfo) ⇒ Boolean): NestedInfo

    Implicit information
      This member is added by an implicit conversion from NestedInfo to Ensuring[NestedInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): NestedInfo

    Implicit information
      This member is added by an implicit conversion from NestedInfo to Ensuring[NestedInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): NestedInfo

    Implicit information
      This member is added by an implicit conversion from NestedInfo to Ensuring[NestedInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from NestedInfo to StringFormat[NestedInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val innerName: Option[String]

    The innerName field, may be None.

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val isStaticNestedClass: Boolean

    True if this is a static nested class (not inner class) (*)

    True if this is a static nested class (not inner class) (*)

    (*) Note that the STATIC flag in ClassInfo.flags, obtained through javaFlags(classSym), is not correct for the InnerClass entry, see javaFlags. The static flag in the InnerClass describes a source-level propety: if the class is in a static context (does not have an outer pointer). This is checked when building the NestedInfo.

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val outerName: Option[String]

    The outerName field in the InnerClass entry, may be None.

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (NestedInfo, B)

    Implicit information
      This member is added by an implicit conversion from NestedInfo to ArrowAssoc[NestedInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from NestedInfo to any2stringadd[NestedInfo]

### Inherited by implicit conversion StringFormat from NestedInfo to StringFormat[NestedInfo]

### Inherited by implicit conversion Ensuring from NestedInfo to Ensuring[NestedInfo]

### Inherited by implicit conversion ArrowAssoc from NestedInfo to ArrowAssoc[NestedInfo]

### Ungrouped